Subject: Re: bug#48333: make icecat default browser

From: jahoti <[email-masked]>
Date: Mon, 10 May 2021 22:33:00 +0000

On 5/10/21 1:45 PM, Petre M. wrote
> Please help me with this problem: I'm unable to make Icecat my default browser in windows7x64. The button in Options doesn't work, and Icecat is 
not among the programs mentioned in the Default Programs list, so I could 
choose it there. > Also: is there an installer of Icecat?

If I'm allowed to do so on this mailing list, I can try and offer some 
help with making IceCat the default program (you need to manually list 
it as a program in the registry). Regardless of that, there are some 
things you should probably be warned of.

Firstly, it is STRONGLY recommended you avoid Windows 7, much less with 
an Internet connection. Apart from the fact that it- like all versions 
of Windows- is non-free software 
(https://www.gnu.org/philosophy/free-sw.html) with all the dangers that 
entails, Microsoft ceased regular security updates over a year ago 
(https://www.microsoft.com/en-US/windows/windows-7-end-of-life-support-information).

Secondly, per the IceCat homepage (https://www.gnu.org/software/gnuzilla/):
> Note that building binary packages for Windows and MacOS currently requires nonfree software, so we no longer distribute binary packages for those platforms. 

In other words, GNU does not maintain a Windows installer for IceCat and 
has no plans to develop one.